/***************************************************************************
 ArtAdmin: a simple app to administer your Linux Format articles database.
 Version: 0.9
 Written in Qt 4.3 

                           artadmin.h  -  description
                             -------------------
    copyright            : (C) 2007,2008 by Dimitris B. Kalamaras
    email                : dimitris.kalamaras@compupress.gr
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/


#ifndef ARTADMIN_H
#define ARTADMIN_H
#include <QtSql>
#include "ui_artadminform.h"

class ArtAdmin : public QMainWindow {
    Q_OBJECT

public:
	ArtAdmin();
	QTableView *initTableView(const QString &title, QSqlTableModel *model);
	void initModel( QSqlTableModel *model, QString);
private slots:
	void search();
	void loadFile();
	void clearAll();
private:
	Ui::artAdminForm ui;
	QSqlTableModel model;
	QString filter;
	QSqlQuery query;
};

#endif


